Summary:        GTK2 Spell Checker Interface Library.
Name:           gtkspell
Version:        2.0.4
Release:        0.fdr.2.rh90
Epoch:          0
License:        GPL
Group:          System Environment/Libraries
Source0:        http://gtkspell.sf.net/download/gtkspell-%{version}.tar.gz
URL:            http://gtkspell.sf.net/ 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  pspell-devel

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words
in a GtkTextView widget. Right-clicking a misspelled word pops up a
menu of suggested replacements.

%package        devel
Summary:        Static libraries and header files from gtkspell.
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       pkgconfig

%description devel
Static libraries and header files from gtkspell.

#---------------------------------------------------------------------

%prep
%setup -q

#---------------------------------------------------------------------

%build
%configure --disable-gtk-doc
make %{?_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf %{buildroot}
%makeinstall

#---------------------------------------------------------------------

%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------

%post -p /sbin/ldconfig

#---------------------------------------------------------------------

%postun -p /sbin/ldconfig

#---------------------------------------------------------------------

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*
%{_datadir}/gtk-doc/html/gtkspell

%files devel
%defattr(-, root, root, -)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/gtkspell-2.0

%exclude %{_libdir}/*.la

#---------------------------------------------------------------------

%changelog
* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 2.0.4-0.fdr.2
- Added Epoch:0.
- Removed redundant Requires.

* Sun Mar 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 2.0.4-0.fdr.1
- Updated to 2.0.4.
- Cleaned up Spec.
- Excluded .la.

* Mon Jan 20 2003 Warren Togami <warren@togami.com>
- Add BuildRequires: pspell-devel

* Fri Dec 27 2002 Warren Togami <warren@togami.com>
- Packaged for Fedora

* Sat Oct 26 2002 Alex Converse 
- Initial RPM release.
